Problems Upgrading from 2.0.15 to 3.x

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello All:

I originally posted this question last week and haven’t seen a
response, so I though I would send it again. If anyone has any hints
at all I would really appreciate it. Right now I cannot get our
existing 2.0.15 database to migrate using the 1.0.23 version of the
script. It exports with no trouble but the import throws errors for
every attempted entry, some of them listed below. I’ve also included
system information that may/may not help. Please help so I can move
up into the newer trains of software!

Thanks,

Mike

Old


RT 2.0.15
Perl 5.8.5
MySQL 4.1.7 Max
FreeBSD 4.10

New


RT 3.3.11 (Have tried 3.0.x as well, same results) Perl 5.8.5 MySQL
4.1.7 Standard FreeBSD 5.3 (tried on 4.10 as well, same results)

Here are the error messages it throws. I’ve only included a few as
every one of the 10k attempted entries generates an error.

uCreating user Unnamed user 763
.[Fri Nov 19 01:23:43 2004] [error]: Could not create a new user -
(/usr/local/rt3.3/lib/RT/User_Overlay.pm:267)
Failed to create user for$VAR1 = {
‘CryptedPassword’ => undef,
‘Name’ => ‘Unnamed user 763’
};

Couldn’t create ticket HASH(0x93e4ce8) $VAR1 = {
‘Requestor’ => [
‘tgregory@tarjema.com’
],
‘Owner’ => undef,
‘LastUpdatedBy’ => undef,
’_RecordTransaction’ => ‘0’,
‘id’ => 1,
‘Queue’ => ‘noc’,
‘Creator’ => undef
};


Michael K. Smith NoaNet
206.219.7116 (work) 866.662.6380 (NOC)
mksmith@noanet.net http://www.noanet.net

-----BEGIN PGP SIGNATURE-----
Version: PGP 8.0.3

iQA/AwUBQaVTYJzgx7Y34AxGEQJIhgCgmIE9No0qHkzAPvcGwo8bIpktGAoAoPZB
39fbPvTgnCKVBbEICH5EaMWq
=zhGp
-----END PGP SIGNATURE-----